Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener:

## Public Member Functions
| __construct (TranslationHelper $translationHelper)
| onRouteReferenceGeneration (RouteReferenceGenerationEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()

## Public Attributes
const | ROUTE_NAME = 'ez_content_download'
const | OPT_FIELD_IDENTIFIER = 'fieldIdentifier'
const | OPT_CONTENT = 'content'
const | OPT_CONTENT_ID = 'contentId'
const | OPT_DOWNLOAD_NAME = 'filename'
const | OPT_DOWNLOAD_LANGUAGE = 'inLanguage'
const | OPT_SITEACCESS_LANGUAGE = 'language'
const | OPT_SITEACCESS = 'siteaccess'
const | OPT_VERSION = 'version'

## Protected Member Functions
| configureOptions (OptionsResolver $resolver)

## Private Attributes
| $translationHelper

## Detailed Description

Definition at line 18 of file ContentDownloadRouteReferenceListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::__construct | ( | TranslationHelper | $translationHelper | ) |

Definition at line 33 of file ContentDownloadRouteReferenceListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\$translationHelper.

## Member Function Documentation

## ◆ configureOptions()

eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::configureOptions | ( | OptionsResolver | $resolver | ) |
| protected

Parameters

  $resolver |

Definition at line 77 of file ContentDownloadRouteReferenceListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\OPT_CONTENT.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\onRouteReferenceGeneration().

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 38 of file ContentDownloadRouteReferenceListener.php.

References eZ\Publish\Core\MVC\Symfony\MVCEvents\ROUTE_REFERENCE_GENERATION.

## ◆ onRouteReferenceGeneration()

eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::onRouteReferenceGeneration | ( | RouteReferenceGenerationEvent | $event | ) |

Exceptions

Definition at line 48 of file ContentDownloadRouteReferenceListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\configureOptions(), and eZ\Publish\Core\MVC\Symfony\Event\RouteReferenceGenerationEvent\getRouteReference().

## Member Data Documentation

## ◆ $translationHelper

eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::$translationHelper
| private

Definition at line 31 of file ContentDownloadRouteReferenceListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\__construct().

## ◆ OPT_CONTENT

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_CONTENT = 'content'

Definition at line 22 of file ContentDownloadRouteReferenceListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener\configureOptions().

## ◆ OPT_CONTENT_ID

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_CONTENT_ID = 'contentId'

Definition at line 23 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_DOWNLOAD_LANGUAGE

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_DOWNLOAD_LANGUAGE = 'inLanguage'

Definition at line 25 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_DOWNLOAD_NAME

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_DOWNLOAD_NAME = 'filename'

Definition at line 24 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_FIELD_IDENTIFIER

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_FIELD_IDENTIFIER = 'fieldIdentifier'

Definition at line 21 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_SITEACCESS

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_SITEACCESS = 'siteaccess'

Definition at line 27 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_SITEACCESS_LANGUAGE

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_SITEACCESS_LANGUAGE = 'language'

Definition at line 26 of file ContentDownloadRouteReferenceListener.php.

## ◆ OPT_VERSION

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::OPT_VERSION = 'version'

Definition at line 28 of file ContentDownloadRouteReferenceListener.php.

## ◆ ROUTE_NAME

const eZ\Bundle\EzPublishCoreBundle\EventListener\ContentDownloadRouteReferenceListener::ROUTE_NAME = 'ez_content_download'

Definition at line 20 of file ContentDownloadRouteReferenceListener.php.

The documentation for this class was generated from the following file:

- ContentDownloadRouteReferenceListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.